FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202201082234.p0.ga49415e.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201082234.p0.ga49415e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a49415e OS_GIT_VERSION=4.7.0-202201082234.p0.ga49415e.assembly.stream-a49415e SOURCE_DATE_EPOCH=1610723355 SOURCE_GIT_COMMIT=a49415e114b90060c8cdbb88b1ca3f0a4c5d2ebc SOURCE_GIT_TAG=v0.4.1-700-ga49415e11 SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
WORKDIR /go/src/github.com/kubernetes-csi/external-provisioner
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20220108.230413
ENV __doozer=update BUILD_RELEASE=202201082234.p0.ga49415e.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201082234.p0.ga49415e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a49415e OS_GIT_VERSION=4.7.0-202201082234.p0.ga49415e.assembly.stream-a49415e SOURCE_DATE_EPOCH=1610723355 SOURCE_GIT_COMMIT=a49415e114b90060c8cdbb88b1ca3f0a4c5d2ebc SOURCE_GIT_TAG=v0.4.1-700-ga49415e11 SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-provisioner/bin/csi-provisioner /usr/bin/
ENTRYPOINT ["/usr/bin/csi-provisioner"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External provisioner for CSI volumes" \
        io.k8s.display-name="External provisioner for CSI volumes" \
        io.openshift.tags="csi,storage,provisioner" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-provisioner" \
        com.redhat.component="csi-provisioner-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202201082234.p0.ga49415e.assembly.stream" \
        io.openshift.build.commit.id="a49415e114b90060c8cdbb88b1ca3f0a4c5d2ebc" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-provisioner" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-provisioner/commit/a49415e114b90060c8cdbb88b1ca3f0a4c5d2ebc" \
        version="v4.7.0"

